# azure.mgmt.rdbms.postgresql.models module

class `azure.mgmt.rdbms.postgresql.models.``ProxyResource`(**kwargs)

  Bases: `msrest.serialization.Model`

  Resource properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.rdbms.postgresql.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  Resource properties including location and tags for track resources.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - location (str) – Required. The location the resource resides in.
  - tags (dict[str, str]) – Application-specific metadata in the form of key-value pairs.

class `azure.mgmt.rdbms.postgresql.models.``StorageProfile`(*, backup_retention_days: int = None, geo_redundant_backup=None, storage_mb: int = None, storage_autogrow=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Storage Profile properties of a server.

  Parameters:

  - backup_retention_days (int) – Backup retention days for the server.
  - geo_redundant_backup (str or GeoRedundantBackup) – Enable Geo-redundant or not for server backup. Possible values include: ‘Enabled’, ‘Disabled’
  - storage_mb (int) – Max storage allowed for a server.
  - storage_autogrow (str or StorageAutogrow) – Enable Storage Auto Grow. Possible values include: ‘Enabled’, ‘Disabled’

class `azure.mgmt.rdbms.postgresql.models.``ServerPropertiesForCreate`(*, version=None, ssl_enforcement=None, storage_profile=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties used to create a new server.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: ServerPropertiesForDefaultCreate, ServerPropertiesForRestore, ServerPropertiesForGeoRestore, ServerPropertiesForReplica

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - version (str or ServerVersion) – Server version. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - storage_profile (StorageProfile) – Storage profile of a server.
  - create_mode (str) – Required. Constant filled by server.

class `azure.mgmt.rdbms.postgresql.models.``ServerPropertiesForDefaultCreate`(*, administrator_login: str, administrator_login_password: str, version=None, ssl_enforcement=None, storage_profile=None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.server_properties_for_create_py3.ServerPropertiesForCreate`

  The properties used to create a new server.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - version (str or ServerVersion) – Server version. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - storage_profile (StorageProfile) – Storage profile of a server.
  - create_mode (str) – Required. Constant filled by server.
  - administrator_login (str) – Required. The administrator’s login name of a server. Can only be specified when the server is being created (and is required for creation).
  - administrator_login_password (str) – Required. The password of the administrator login.

class `azure.mgmt.rdbms.postgresql.models.``ServerPropertiesForRestore`(*, source_server_id: str, restore_point_in_time, version=None, ssl_enforcement=None, storage_profile=None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.server_properties_for_create_py3.ServerPropertiesForCreate`

  The properties used to create a new server by restoring from a backup.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - version (str or ServerVersion) – Server version. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - storage_profile (StorageProfile) – Storage profile of a server.
  - create_mode (str) – Required. Constant filled by server.
  - source_server_id (str) – Required. The source server id to restore from.
  - restore_point_in_time (datetime) – Required. Restore point creation time (ISO8601 format), specifying the time to restore from.

class `azure.mgmt.rdbms.postgresql.models.``ServerPropertiesForGeoRestore`(*, source_server_id: str, version=None, ssl_enforcement=None, storage_profile=None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.server_properties_for_create_py3.ServerPropertiesForCreate`

  The properties used to create a new server by restoring to a different region from a geo replicated backup.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - version (str or ServerVersion) – Server version. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - storage_profile (StorageProfile) – Storage profile of a server.
  - create_mode (str) – Required. Constant filled by server.
  - source_server_id (str) – Required. The source server id to restore from.

class `azure.mgmt.rdbms.postgresql.models.``ServerPropertiesForReplica`(*, source_server_id: str, version=None, ssl_enforcement=None, storage_profile=None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.server_properties_for_create_py3.ServerPropertiesForCreate`

  The properties to create a new replica.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - version (str or ServerVersion) – Server version. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - storage_profile (StorageProfile) – Storage profile of a server.
  - create_mode (str) – Required. Constant filled by server.
  - source_server_id (str) – Required. The master server id to create replica from.

class `azure.mgmt.rdbms.postgresql.models.``Sku`(*, name: str = None, tier=None, capacity: int = None, size: str = None, family: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Billing information related properties of a server.

  Parameters:

  - name (str) – The name of the sku, typically, tier + family + cores, e.g. B_Gen4_1, GP_Gen5_8.
  - tier (str or SkuTier) – The tier of the particular SKU, e.g. Basic. Possible values include: ‘Basic’, ‘GeneralPurpose’, ‘MemoryOptimized’
  - capacity (int) – The scale up/out capacity, representing server’s compute units.
  - size (str) – The size code, to be interpreted by resource as appropriate.
  - family (str) – The family of hardware.

class `azure.mgmt.rdbms.postgresql.models.``Server`(*, location: str, tags=None, sku=None, administrator_login: str = None, version=None, ssl_enforcement=None, user_visible_state=None, fully_qualified_domain_name: str = None, earliest_restore_date=None, storage_profile=None, replication_role: str = None, master_server_id: str = None, replica_capacity: int = None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.tracked_resource_py3.TrackedResource`

  Represents a server.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - location (str) – Required. The location the resource resides in.
  - tags (dict[str, str]) – Application-specific metadata in the form of key-value pairs.
  - sku (Sku) – The SKU (pricing tier) of the server.
  - administrator_login (str) – The administrator’s login name of a server. Can only be specified when the server is being created (and is required for creation).
  - version (str or ServerVersion) – Server version. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - user_visible_state (str or ServerState) – A state of a server that is visible to user. Possible values include: ‘Ready’, ‘Dropping’, ‘Disabled’
  - fully_qualified_domain_name (str) – The fully qualified domain name of a server.
  - earliest_restore_date (datetime) – Earliest restore point creation time (ISO8601 format)
  - storage_profile (StorageProfile) – Storage profile of a server.
  - replication_role (str) – The replication role of the server.
  - master_server_id (str) – The master server id of a replica server.
  - replica_capacity (int) – The maximum number of replicas that a master server can have.

class `azure.mgmt.rdbms.postgresql.models.``ServerForCreate`(*, properties, location: str, sku=None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents a server to be created.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - sku (Sku) – The SKU (pricing tier) of the server.
  - properties (ServerPropertiesForCreate) – Required. Properties of the server.
  - location (str) – Required. The location the resource resides in.
  - tags (dict[str, str]) – Application-specific metadata in the form of key-value pairs.

class `azure.mgmt.rdbms.postgresql.models.``ServerUpdateParameters`(*, sku=None, storage_profile=None, administrator_login_password: str = None, version=None, ssl_enforcement=None, replication_role: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters allowed to update for a server.

  Parameters:

  - sku (Sku) – The SKU (pricing tier) of the server.
  - storage_profile (StorageProfile) – Storage profile of a server.
  - administrator_login_password (str) – The password of the administrator login.
  - version (str or ServerVersion) – The version of a server. Possible values include: ‘9.5’, ‘9.6’, ‘10’, ‘10.0’, ‘10.2’, ‘11’
  - ssl_enforcement (str or SslEnforcementEnum) – Enable ssl enforcement or not when connect to server. Possible values include: ‘Enabled’, ‘Disabled’
  - replication_role (str) – The replication role of the server.
  - tags (dict[str, str]) – Application-specific metadata in the form of key-value pairs.

class `azure.mgmt.rdbms.postgresql.models.``FirewallRule`(*, start_ip_address: str, end_ip_address: str, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  Represents a server firewall rule.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - start_ip_address (str) – Required. The start IP address of the server firewall rule. Must be IPv4 format.
  - end_ip_address (str) – Required. The end IP address of the server firewall rule. Must be IPv4 format.

class `azure.mgmt.rdbms.postgresql.models.``VirtualNetworkRule`(*, virtual_network_subnet_id: str, ignore_missing_vnet_service_endpoint: bool = None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  A virtual network rule.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.
  - state (str or VirtualNetworkRuleState) – Virtual Network Rule State. Possible values include: ‘Initializing’, ‘InProgress’, ‘Ready’, ‘Deleting’, ‘Unknown’

  Parameters:

  - virtual_network_subnet_id (str) – Required. The ARM resource id of the virtual network subnet.
  - ignore_missing_vnet_service_endpoint (bool) – Create firewall rule before the virtual network has vnet service endpoint enabled.

class `azure.mgmt.rdbms.postgresql.models.``Database`(*, charset: str = None, collation: str = None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  Represents a Database.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - charset (str) – The charset of the database.
  - collation (str) – The collation of the database.

class `azure.mgmt.rdbms.postgresql.models.``Configuration`(*, value: str = None, source: str = None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  Represents a Configuration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.
  - description (str) – Description of the configuration.
  - default_value (str) – Default value of the configuration.
  - data_type (str) – Data type of the configuration.
  - allowed_values (str) – Allowed values of the configuration.

  Parameters:

  - value (str) – Value of the configuration.
  - source (str) – Source of the configuration.

class `azure.mgmt.rdbms.postgresql.models.``OperationDisplay`(**kwargs)

  Bases: `msrest.serialization.Model`

  Display metadata associated with the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Operation resource provider name.
  - resource (str) – Resource on which the operation is performed.
  - operation (str) – Localized friendly name for the operation.
  - description (str) – Operation description.

class `azure.mgmt.rdbms.postgresql.models.``Operation`(**kwargs)

  Bases: `msrest.serialization.Model`

  REST API operation definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – The name of the operation being performed on this particular object.
  - display (OperationDisplay) – The localized display information for this particular operation or action.
  - origin (str or OperationOrigin) – The intended executor of the operation. Possible values include: ‘NotSpecified’, ‘user’, ‘system’
  - properties (dict[str, object]) – Additional descriptions for the operation.

class `azure.mgmt.rdbms.postgresql.models.``OperationListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A list of resource provider operations.

  Parameters: | value (list[Operation]) – The list of resource provider operations.

class `azure.mgmt.rdbms.postgresql.models.``LogFile`(*, size_in_kb: int = None, log_file_type: str = None, url: str = None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  Represents a log file.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.
  - created_time (datetime) – Creation timestamp of the log file.
  - last_modified_time (datetime) – Last modified timestamp of the log file.

  Parameters:

  - size_in_kb (long) – Size of the log file.
  - log_file_type (str) – Type of the log file.
  - url (str) – The url to download the log file from.

class `azure.mgmt.rdbms.postgresql.models.``PerformanceTierServiceLevelObjectives`(*, id: str = None, edition: str = None, v_core: int = None, hardware_generation: str = None, max_backup_retention_days: int = None, min_backup_retention_days: int = None, max_storage_mb: int = None, min_storage_mb: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Service level objectives for performance tier.

  Parameters:

  - id (str) – ID for the service level objective.
  - edition (str) – Edition of the performance tier.
  - v_core (int) – vCore associated with the service level objective
  - hardware_generation (str) – Hardware generation associated with the service level objective
  - max_backup_retention_days (int) – Maximum Backup retention in days for the performance tier edition
  - min_backup_retention_days (int) – Minimum Backup retention in days for the performance tier edition
  - max_storage_mb (int) – Max storage allowed for a server.
  - min_storage_mb (int) – Max storage allowed for a server.

class `azure.mgmt.rdbms.postgresql.models.``PerformanceTierProperties`(*, id: str = None, service_level_objectives=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Performance tier properties.

  Parameters:

  - id (str) – ID of the performance tier.
  - service_level_objectives (list[PerformanceTierServiceLevelObjectives]) – Service level objectives associated with the performance tier

class `azure.mgmt.rdbms.postgresql.models.``NameAvailabilityRequest`(*, name: str, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Request from client to check resource name availability.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Resource name to verify.
  - type (str) – Resource type used for verification.

class `azure.mgmt.rdbms.postgresql.models.``NameAvailability`(*, message: str = None, name_available: bool = None, reason: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents a resource name availability.

  Parameters:

  - message (str) – Error Message.
  - name_available (bool) – Indicates whether the resource name is available.
  - reason (str) – Reason for name being unavailable.

class `azure.mgmt.rdbms.postgresql.models.``ServerSecurityAlertPolicy`(*, state, disabled_alerts=None, email_addresses=None, email_account_admins: bool = None, storage_endpoint: str = None, storage_account_access_key: str = None, retention_days: int = None, **kwargs)

  Bases: `azure.mgmt.rdbms.postgresql.models.proxy_resource_py3.ProxyResource`

  A server security alert policy.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - state (str or ServerSecurityAlertPolicyState) – Required. Specifies the state of the policy, whether it is enabled or disabled. Possible values include: ‘Enabled’, ‘Disabled’
  - disabled_alerts (list[str]) – Specifies an array of alerts that are disabled. Allowed values are: Sql_Injection, Sql_Injection_Vulnerability, Access_Anomaly
  - email_addresses (list[str]) – Specifies an array of e-mail addresses to which the alert is sent.
  - email_account_admins (bool) – Specifies that the alert is sent to the account administrators.
  - storage_endpoint (str) – Specifies the blob storage endpoint (e.g. https://MyAccount.blob.core.windows.net). This blob storage will hold all Threat Detection audit logs.
  - storage_account_access_key (str) – Specifies the identifier key of the Threat Detection audit storage account.
  - retention_days (int) – Specifies the number of days to keep in the Threat Detection audit logs.

class `azure.mgmt.rdbms.postgresql.models.``ServerPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Server` object

class `azure.mgmt.rdbms.postgresql.models.``FirewallRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `FirewallRule` object

class `azure.mgmt.rdbms.postgresql.models.``VirtualNetworkRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VirtualNetworkRule` object

class `azure.mgmt.rdbms.postgresql.models.``DatabasePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Database` object

class `azure.mgmt.rdbms.postgresql.models.``ConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Configuration` object

class `azure.mgmt.rdbms.postgresql.models.``LogFilePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `LogFile` object

class `azure.mgmt.rdbms.postgresql.models.``PerformanceTierPropertiesPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PerformanceTierProperties` object

class `azure.mgmt.rdbms.postgresql.models.``ServerVersion`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `nine_full_stop_five` = '9.5'
  `nine_full_stop_six` = '9.6'
  `one_one` = '11'
  `one_zero` = '10'
  `one_zero_full_stop_two` = '10.2'
  `one_zero_full_stop_zero` = '10.0'

class `azure.mgmt.rdbms.postgresql.models.``SslEnforcementEnum`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.rdbms.postgresql.models.``ServerState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `dropping` = 'Dropping'
  `ready` = 'Ready'

class `azure.mgmt.rdbms.postgresql.models.``GeoRedundantBackup`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.rdbms.postgresql.models.``StorageAutogrow`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.rdbms.postgresql.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `general_purpose` = 'GeneralPurpose'
  `memory_optimized` = 'MemoryOptimized'

class `azure.mgmt.rdbms.postgresql.models.``VirtualNetworkRuleState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `deleting` = 'Deleting'
  `in_progress` = 'InProgress'
  `initializing` = 'Initializing'
  `ready` = 'Ready'
  `unknown` = 'Unknown'

class `azure.mgmt.rdbms.postgresql.models.``OperationOrigin`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `not_specified` = 'NotSpecified'
  `system` = 'system'
  `user` = 'user'

class `azure.mgmt.rdbms.postgresql.models.``ServerSecurityAlertPolicyState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'